List a member's dues
curl --request GET \
--url https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": 77,
"member_id": 42,
"membership_dues_id": 5,
"amount": 150.0,
"currency": "NGN",
"status": "paid",
"due_date": "2026-03-31T00:00:00Z",
"transaction_ref": "2c6c0b5e-6c2b-4f4e-9d3f-1c0b3e0b9a11",
"createddate": "2026-01-01T00:00:00Z"
}
],
"pagination": {
"total": 1,
"offset": 0,
"limit": 50
}
}
Payments
List Member Dues
Retrieve a member’s dues obligations (paid and unpaid), newest due date first.
GET
/
v1
/
members
/
{member_id}
/
dues
List a member's dues
curl --request GET \
--url https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.transparencyhubnetwork.ai/api/v1/members/{member_id}/dues")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": 77,
"member_id": 42,
"membership_dues_id": 5,
"amount": 150.0,
"currency": "NGN",
"status": "paid",
"due_date": "2026-03-31T00:00:00Z",
"transaction_ref": "2c6c0b5e-6c2b-4f4e-9d3f-1c0b3e0b9a11",
"createddate": "2026-01-01T00:00:00Z"
}
],
"pagination": {
"total": 1,
"offset": 0,
"limit": 50
}
}
Retrieve a member’s dues obligations (paid and unpaid), newest due date first. Returns
404 not_found if the member is not in the key’s chapter.
Required scope: payments:read
{
"status": "success",
"data": [
{
"id": 77,
"member_id": 42,
"membership_dues_id": 5,
"amount": 150.0,
"currency": "NGN",
"status": "paid",
"due_date": "2026-03-31T00:00:00Z",
"transaction_ref": "2c6c0b5e-6c2b-4f4e-9d3f-1c0b3e0b9a11",
"createddate": "2026-01-01T00:00:00Z"
}
],
"pagination": {
"total": 1,
"offset": 0,
"limit": 50
}
}
Authorizations
ApiKeyAuthBearerAuth
Path Parameters
Query Parameters
Required for association-wide keys; must match the key's chapter for chapter-bound keys.
Required range:
x >= 0Required range:
1 <= x <= 200
